Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class XWPFAbstractNum

    java.lang.Object
      org.apache.poi.xwpf.usermodel.XWPFAbstractNum

    public class XWPFAbstractNum

extends java.lang.Object

Author:
  Philipp Epp

Field Summary
`protected XWPFNumbering` | `numbering`

Constructor Summary
`protected` | `XWPFAbstractNum()`
`` | `XWPFAbstractNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTAbstractNum abstractNum)`
`` | `XWPFAbstractNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTAbstractNum ctAbstractNum, XWPFNumbering numbering)`

Method Summary
`org.openxmlformats.schemas.wordprocessingml.x2006.main.CTAbstractNum` | `getAbstractNum()`
`org.openxmlformats.schemas.wordprocessingml.x2006.main.CTAbstractNum` | `getCTAbstractNum()`
`XWPFNumbering` | `getNumbering()`
`void` | `setNumbering(XWPFNumbering numbering)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numbering

    protected XWPFNumbering numbering

Constructor Detail

### XWPFAbstractNum

    protected XWPFAbstractNum()

### XWPFAbstractNum

    public XWPFAbstractNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTAbstractNum abstractNum)

### XWPFAbstractNum

    public XWPFAbstractNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTAbstractNum ctAbstractNum,
                           XWPFNumbering numbering)

Method Detail

### getAbstractNum

    public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTAbstractNum getAbstractNum()

### getNumbering

    public XWPFNumbering getNumbering()

### getCTAbstractNum

    public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTAbstractNum getCTAbstractNum()

### setNumbering

    public void setNumbering(XWPFNumbering numbering)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.